import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { TraderJoeVeJoeStaking, TraderJoeContractFactory } from '../contracts';
export declare class AvalancheTraderJoeVeJoeContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<TraderJoeVeJoeStaking> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: TraderJoeContractFactory;
    groupLabel: string;
    chefAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: TraderJoeContractFactory);
    getContract(address: string): TraderJoeVeJoeStaking;
    getPoolLength(_contract: TraderJoeVeJoeStaking): Promise<BigNumberish>;
    getStakedTokenAddress(contract: TraderJoeVeJoeStaking): Promise<string>;
    getRewardTokenAddress(contract: TraderJoeVeJoeStaking): Promise<string>;
    getTotalAllocPoints(_params: GetMasterChefDataPropsParams<TraderJoeVeJoeStaking>): Promise<number>;
    getPoolAllocPoints(_params: GetMasterChefDataPropsParams<TraderJoeVeJoeStaking>): Promise<number>;
    getTotalRewardRate({ contract }: GetMasterChefDataPropsParams<TraderJoeVeJoeStaking>): Promise<import("ethers").BigNumber>;
    getStakedTokenBalance({ address, contract }: GetMasterChefTokenBalancesParams<TraderJoeVeJoeStaking>): Promise<import("ethers").BigNumber>;
    getRewardTokenBalance({ address, contract }: GetMasterChefTokenBalancesParams<TraderJoeVeJoeStaking>): Promise<import("ethers").BigNumber>;
}
